Index: trunk/SophyaPI/PIext/Makefile
===================================================================
--- trunk/SophyaPI/PIext/Makefile	(revision 3860)
+++ trunk/SophyaPI/PIext/Makefile	(revision 3879)
@@ -4,5 +4,5 @@
  
 clean:
-	 rm -f $(SOPHYAOBJP)basexecut.o $(SOPHYAOBJP)contmodex.o $(SOPHYAOBJP)cxxexecutor.o $(SOPHYAOBJP)cxxexecwin.o $(SOPHYAOBJP)flowmodex.o $(SOPHYAOBJP)graphexecut.o $(SOPHYAOBJP)nobjmgr.o $(SOPHYAOBJP)nomdvladapter.o $(SOPHYAOBJP)nomgadapter.o $(SOPHYAOBJP)nomgfdadapter.o $(SOPHYAOBJP)nomherradapter.o $(SOPHYAOBJP)nomhistadapter.o $(SOPHYAOBJP)nomimagadapter.o $(SOPHYAOBJP)nomskymapadapter.o $(SOPHYAOBJP)nomspecrespadapter.o $(SOPHYAOBJP)nomtarradapter.o $(SOPHYAOBJP)nomtmatvecadapter.o $(SOPHYAOBJP)pawexecut.o $(SOPHYAOBJP)pi2dvec.o $(SOPHYAOBJP)piacmd.o $(SOPHYAOBJP)piafitting.o $(SOPHYAOBJP)pigfd1.o $(SOPHYAOBJP)pigfd2.o $(SOPHYAOBJP)pihisto.o $(SOPHYAOBJP)pihisto2d.o $(SOPHYAOBJP)piinit.o $(SOPHYAOBJP)pintup3d.o $(SOPHYAOBJP)pintuple.o $(SOPHYAOBJP)pipodrw.o $(SOPHYAOBJP)pisiadw.o $(SOPHYAOBJP)pistdimgapp.o $(SOPHYAOBJP)pistlist.o $(SOPHYAOBJP)pitvmaad.o $(SOPHYAOBJP)servnobjm.o $(SOPHYAOBJP)userfitfunex.o
+	 rm -f $(SOPHYAOBJP)basexecut.o $(SOPHYAOBJP)contmodex.o $(SOPHYAOBJP)cxxexecutor.o $(SOPHYAOBJP)cxxexecwin.o $(SOPHYAOBJP)flowmodex.o $(SOPHYAOBJP)graphexecut.o $(SOPHYAOBJP)nobjmgr.o $(SOPHYAOBJP)nomdvladapter.o $(SOPHYAOBJP)nomgadapter.o $(SOPHYAOBJP)nomgfdadapter.o $(SOPHYAOBJP)nomherradapter.o $(SOPHYAOBJP)nomhistadapter.o $(SOPHYAOBJP)nomimagadapter.o $(SOPHYAOBJP)nomskymapadapter.o $(SOPHYAOBJP)nomspecrespadapter.o $(SOPHYAOBJP)nomtarradapter.o $(SOPHYAOBJP)nomtmatvecadapter.o $(SOPHYAOBJP)pawexecut.o $(SOPHYAOBJP)pi2dvec.o $(SOPHYAOBJP)piacmd.o $(SOPHYAOBJP)piafitting.o $(SOPHYAOBJP)pigfd1.o $(SOPHYAOBJP)pigfd2.o $(SOPHYAOBJP)pihisto2d.o $(SOPHYAOBJP)pihisto.o $(SOPHYAOBJP)piinit.o $(SOPHYAOBJP)pintup3d.o $(SOPHYAOBJP)pintuple.o $(SOPHYAOBJP)pipodrw.o $(SOPHYAOBJP)pisiadw.o $(SOPHYAOBJP)pistdimgapp.o $(SOPHYAOBJP)pistlist.o $(SOPHYAOBJP)pitvmaad.o $(SOPHYAOBJP)servnobjm.o $(SOPHYAOBJP)userfitfunex.o
 	rm -f $(SOPHYALIBP)libPIext.a
  
@@ -11,6 +11,8 @@
 	touch $(SOPHYAINCP)/SophyaConfInfo/libPI.objlist
  
-$(SOPHYAOBJP)basexecut.o: basexecut.cc $(SOPHYAINCP)sopnamsp.h \
-  piacmd.h $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)basexecut.o: basexecut.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  piacmd.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)commander.h \
   $(SOPHYAINCP)machdefs.h \
@@ -28,8 +30,10 @@
   $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h dlftypes.h basexecut.h \
+  $(SOPHYAINCP)zthread.h \
+  dlftypes.h basexecut.h \
   $(SOPHYAINCP)pdlmgr.h \
   $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)strutilxx.h pistdimgapp.h \
+  $(SOPHYAINCP)strutilxx.h \
+  pistdimgapp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
@@ -89,8 +93,10 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h nobjmgr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h pisiadw.h \
+  $(SOPHYAINCP)pigraph3d.h \
+  nobjmgr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)dvlist.h \
+  pisiadw.h \
   $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
@@ -98,6 +104,7 @@
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)pitherm.h \
-  $(SOPHYAINCP)resusage.h servnobjm.h \
-  nomgadapter.h $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)resusage.h \
+  servnobjm.h nomgadapter.h \
+  $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)parradapter.h \
   $(SOPHYAINCP)ntupintf.h \
@@ -133,6 +140,9 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  basexecut.cc
  
-$(SOPHYAOBJP)contmodex.o: contmodex.cc $(SOPHYAINCP)sopnamsp.h \
-  contmodex.h $(SOPHYAINCP)machdefs.h piacmd.h \
+$(SOPHYAOBJP)contmodex.o: contmodex.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  contmodex.h \
+  $(SOPHYAINCP)machdefs.h \
+  piacmd.h \
   $(SOPHYAINCP)commander.h \
   $(SOPHYAINCP)machdefs.h \
@@ -150,5 +160,6 @@
   $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h dlftypes.h nobjmgr.h \
+  $(SOPHYAINCP)zthread.h \
+  dlftypes.h nobjmgr.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
@@ -228,5 +239,6 @@
   $(SOPHYAINCP)gp_graph3d.h \
   $(SOPHYAINCP)gp_alloc.h \
-  $(SOPHYAINCP)pidrawer.h nomgadapter.h \
+  $(SOPHYAINCP)pidrawer.h \
+  nomgadapter.h \
   $(SOPHYAINCP)parradapter.h \
   $(SOPHYAINCP)ntupintf.h \
@@ -247,11 +259,14 @@
   $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)generalfunc.h servnobjm.h \
+  $(SOPHYAINCP)generalfunc.h \
+  servnobjm.h \
   $(SOPHYAINCP)pdlmgr.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  contmodex.cc
  
 $(SOPHYAOBJP)cxxexecutor.o: cxxexecutor.cc \
-  $(SOPHYAINCP)sopnamsp.h cxxexecutor.h \
-  $(SOPHYAINCP)machdefs.h piacmd.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  cxxexecutor.h \
+  $(SOPHYAINCP)machdefs.h \
+  piacmd.h \
   $(SOPHYAINCP)commander.h \
   $(SOPHYAINCP)machdefs.h \
@@ -269,10 +284,12 @@
   $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h dlftypes.h nobjmgr.h \
+  $(SOPHYAINCP)zthread.h \
+  dlftypes.h nobjmgr.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)strutilxx.h \
-  $(SOPHYAINCP)cxxcmplnk.h nomgadapter.h \
+  $(SOPHYAINCP)cxxcmplnk.h \
+  nomgadapter.h \
   $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)pibwdggen.h \
@@ -317,5 +334,6 @@
   $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)generalfunc.h pistdimgapp.h \
+  $(SOPHYAINCP)generalfunc.h \
+  pistdimgapp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
@@ -353,5 +371,6 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h pisiadw.h \
+  $(SOPHYAINCP)pigraph3d.h \
+  pisiadw.h \
   $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
@@ -363,6 +382,8 @@
  
 $(SOPHYAOBJP)cxxexecwin.o: cxxexecwin.cc \
-  $(SOPHYAINCP)sopnamsp.h cxxexecutor.h \
-  $(SOPHYAINCP)machdefs.h piacmd.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  cxxexecutor.h \
+  $(SOPHYAINCP)machdefs.h \
+  piacmd.h \
   $(SOPHYAINCP)commander.h \
   $(SOPHYAINCP)machdefs.h \
@@ -380,9 +401,12 @@
   $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h dlftypes.h nobjmgr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h cxxexecwin.h \
-  $(SOPHYAINCP)pisysdep.h pistdimgapp.h \
+  $(SOPHYAINCP)zthread.h \
+  dlftypes.h nobjmgr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)dvlist.h \
+  cxxexecwin.h \
+  $(SOPHYAINCP)pisysdep.h \
+  pistdimgapp.h \
   $(SOPHYAINCP)piapplx.h \
   $(SOPHYAINCP)piapplgen.h \
@@ -441,5 +465,6 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h pisiadw.h \
+  $(SOPHYAINCP)pigraph3d.h \
+  pisiadw.h \
   $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
@@ -450,6 +475,9 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  cxxexecwin.cc
  
-$(SOPHYAOBJP)flowmodex.o: flowmodex.cc $(SOPHYAINCP)sopnamsp.h \
-  flowmodex.h $(SOPHYAINCP)machdefs.h piacmd.h \
+$(SOPHYAOBJP)flowmodex.o: flowmodex.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  flowmodex.h \
+  $(SOPHYAINCP)machdefs.h \
+  piacmd.h \
   $(SOPHYAINCP)commander.h \
   $(SOPHYAINCP)machdefs.h \
@@ -467,8 +495,10 @@
   $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h dlftypes.h nobjmgr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h pi2dvec.h pistdimgapp.h \
+  $(SOPHYAINCP)zthread.h \
+  dlftypes.h nobjmgr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)dvlist.h \
+  pi2dvec.h pistdimgapp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
@@ -528,5 +558,6 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h pisiadw.h \
+  $(SOPHYAINCP)pigraph3d.h \
+  pisiadw.h \
   $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
@@ -539,5 +570,6 @@
   $(SOPHYAINCP)ntuple.h \
   $(SOPHYAINCP)ntupintf.h \
-  $(SOPHYAINCP)pidrawer.h nomgadapter.h \
+  $(SOPHYAINCP)pidrawer.h \
+  nomgadapter.h \
   $(SOPHYAINCP)parradapter.h \
   $(SOPHYAINCP)generalfit.h \
@@ -557,10 +589,12 @@
   $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)generalfunc.h servnobjm.h \
+  $(SOPHYAINCP)generalfunc.h \
+  servnobjm.h \
   $(SOPHYAINCP)pdlmgr.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  flowmodex.cc
  
 $(SOPHYAOBJP)graphexecut.o: graphexecut.cc \
-  $(SOPHYAINCP)sopnamsp.h piacmd.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  piacmd.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)commander.h \
@@ -579,6 +613,8 @@
   $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h dlftypes.h graphexecut.h \
-  $(SOPHYAINCP)strutilxx.h pistdimgapp.h \
+  $(SOPHYAINCP)zthread.h \
+  dlftypes.h graphexecut.h \
+  $(SOPHYAINCP)strutilxx.h \
+  pistdimgapp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
@@ -638,8 +674,10 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h nobjmgr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h pisiadw.h \
+  $(SOPHYAINCP)pigraph3d.h \
+  nobjmgr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)dvlist.h \
+  pisiadw.h \
   $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
@@ -647,5 +685,6 @@
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)pitherm.h \
-  $(SOPHYAINCP)resusage.h nomgadapter.h \
+  $(SOPHYAINCP)resusage.h \
+  nomgadapter.h \
   $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)parradapter.h \
@@ -674,8 +713,10 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  graphexecut.cc
  
-$(SOPHYAOBJP)nobjmgr.o: nobjmgr.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)nobjmgr.o: nobjmgr.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)strutil.h \
   $(SOPHYAINCP)datatypes.h \
-  $(SOPHYAINCP)machdefs.h nobjmgr.h \
+  $(SOPHYAINCP)machdefs.h \
+  nobjmgr.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)anydataobj.h \
@@ -691,7 +732,9 @@
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h dlftypes.h servnobjm.h \
+  $(SOPHYAINCP)timestamp.h \
+  dlftypes.h servnobjm.h \
   $(SOPHYAINCP)pdlmgr.h \
-  $(SOPHYAINCP)zthread.h nomgadapter.h \
+  $(SOPHYAINCP)zthread.h \
+  nomgadapter.h \
   $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)pibwdggen.h \
@@ -737,5 +780,6 @@
   $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)generalfunc.h pistdimgapp.h \
+  $(SOPHYAINCP)generalfunc.h \
+  pistdimgapp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
@@ -773,8 +817,10 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h piacmd.h \
+  $(SOPHYAINCP)pigraph3d.h \
+  piacmd.h \
   $(SOPHYAINCP)commander.h \
   $(SOPHYAINCP)pdlmgr.h \
-  $(SOPHYAINCP)ctimer.h pisiadw.h \
+  $(SOPHYAINCP)ctimer.h \
+  pisiadw.h \
   $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
@@ -783,19 +829,25 @@
   $(SOPHYAINCP)pitherm.h \
   $(SOPHYAINCP)resusage.h \
-  $(SOPHYAINCP)tvector.h pitvmaad.h \
+  $(SOPHYAINCP)tvector.h \
+  pitvmaad.h \
   $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)piyfxdrw.h \
-  $(SOPHYAINCP)pisurfdr.h pipodrw.h \
+  $(SOPHYAINCP)pisurfdr.h \
+  pipodrw.h \
   $(SOPHYAINCP)histos2.h \
   $(SOPHYAINCP)histos.h \
-  $(SOPHYAINCP)hist2err.h pintuple.h pintup3d.h \
-  $(SOPHYAINCP)pi3ddrw.h pigfd1.h \
-  $(SOPHYAINCP)generaldata.h pigfd2.h
+  $(SOPHYAINCP)hist2err.h \
+  pintuple.h pintup3d.h \
+  $(SOPHYAINCP)pi3ddrw.h \
+  pigfd1.h \
+  $(SOPHYAINCP)generaldata.h \
+  pigfd2.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  nobjmgr.cc
  
 $(SOPHYAOBJP)nomdvladapter.o: nomdvladapter.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h nomdvladapter.h \
-  nomgadapter.h $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h \
+  nomdvladapter.h nomgadapter.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
@@ -859,5 +911,6 @@
 $(SOPHYAOBJP)nomgadapter.o: nomgadapter.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h nomgadapter.h \
+  $(SOPHYAINCP)machdefs.h \
+  nomgadapter.h \
   $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)machdefs.h \
@@ -921,6 +974,7 @@
 $(SOPHYAOBJP)nomgfdadapter.o: nomgfdadapter.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h nomgfdadapter.h \
-  nomgadapter.h $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h \
+  nomgfdadapter.h nomgadapter.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
@@ -978,5 +1032,6 @@
   $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)generalfunc.h pipodrw.h \
+  $(SOPHYAINCP)generalfunc.h \
+  pipodrw.h \
   $(SOPHYAINCP)histos2.h \
   $(SOPHYAINCP)histos.h \
@@ -992,6 +1047,7 @@
 $(SOPHYAOBJP)nomherradapter.o: nomherradapter.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h nomherradapter.h \
-  nomgadapter.h $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h \
+  nomherradapter.h nomgadapter.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
@@ -1051,6 +1107,6 @@
   $(SOPHYAINCP)generalfunc.h \
   $(SOPHYAINCP)histerr.h \
-  $(SOPHYAINCP)hist2err.h pihisto.h \
-  phistwrapper.h pihisto2d.h \
+  $(SOPHYAINCP)hist2err.h \
+  pihisto.h phistwrapper.h pihisto2d.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pimenux.h \
@@ -1071,12 +1127,15 @@
   $(SOPHYAINCP)picontainergen.h \
   $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pieldrw.h sohiswrap.h \
+  $(SOPHYAINCP)pieldrw.h \
+  sohiswrap.h \
   $(SOPHYAINCP)histos.h \
   $(SOPHYAINCP)hisprof.h \
   $(SOPHYAINCP)histos.h \
   $(SOPHYAINCP)histos2.h \
-  $(SOPHYAINCP)pexceptions.h pipodrw.h \
-  servnobjm.h nobjmgr.h $(SOPHYAINCP)dvlist.h \
-  dlftypes.h $(SOPHYAINCP)pdlmgr.h \
+  $(SOPHYAINCP)pexceptions.h \
+  pipodrw.h servnobjm.h nobjmgr.h \
+  $(SOPHYAINCP)dvlist.h \
+  dlftypes.h \
+  $(SOPHYAINCP)pdlmgr.h \
   $(SOPHYAINCP)zthread.h \
   $(SOPHYAINCP)objfitter.h \
@@ -1091,6 +1150,7 @@
 $(SOPHYAOBJP)nomhistadapter.o: nomhistadapter.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h nomhistadapter.h \
-  nomgadapter.h $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h \
+  nomhistadapter.h nomgadapter.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
@@ -1156,9 +1216,10 @@
   $(SOPHYAINCP)basedtable.h \
   $(SOPHYAINCP)segdatablock.h \
-  $(SOPHYAINCP)thsafeop.h pihisto.h \
-  phistwrapper.h sohiswrap.h \
+  $(SOPHYAINCP)thsafeop.h \
+  pihisto.h phistwrapper.h sohiswrap.h \
   $(SOPHYAINCP)histerr.h \
   $(SOPHYAINCP)hist2err.h \
-  $(SOPHYAINCP)pexceptions.h pihisto2d.h \
+  $(SOPHYAINCP)pexceptions.h \
+  pihisto2d.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pimenux.h \
@@ -1179,6 +1240,8 @@
   $(SOPHYAINCP)picontainergen.h \
   $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pieldrw.h pipodrw.h servnobjm.h \
-  nobjmgr.h $(SOPHYAINCP)dvlist.h dlftypes.h \
+  $(SOPHYAINCP)pieldrw.h \
+  pipodrw.h servnobjm.h nobjmgr.h \
+  $(SOPHYAINCP)dvlist.h \
+  dlftypes.h \
   $(SOPHYAINCP)pdlmgr.h \
   $(SOPHYAINCP)zthread.h \
@@ -1202,6 +1265,7 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)datatype.h \
-  $(SOPHYAINCP)machdefs.h nomimagadapter.h \
-  nomgadapter.h $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h \
+  nomimagadapter.h nomgadapter.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)gnumd5.h \
@@ -1260,5 +1324,6 @@
   $(SOPHYAINCP)generalfunc.h \
   $(SOPHYAINCP)cimage.h \
-  $(SOPHYAINCP)fioarr.h pimgadapter.h \
+  $(SOPHYAINCP)fioarr.h \
+  pimgadapter.h \
   $(SOPHYAINCP)objfitter.h \
   $(SOPHYAINCP)cimage.h \
@@ -1273,6 +1338,7 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)datatype.h \
-  $(SOPHYAINCP)machdefs.h nomskymapadapter.h \
-  nomgadapter.h $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h \
+  nomskymapadapter.h nomgadapter.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)gnumd5.h \
@@ -1350,5 +1416,6 @@
   $(SOPHYAINCP)fiospherehealpix.h \
   $(SOPHYAINCP)fiolocalmap.h \
-  $(SOPHYAINCP)fiosphereecp.h pitvmaad.h \
+  $(SOPHYAINCP)fiosphereecp.h \
+  pitvmaad.h \
   $(SOPHYAINCP)tvector.h \
   $(SOPHYAINCP)complexios.h
@@ -1357,6 +1424,7 @@
 $(SOPHYAOBJP)nomspecrespadapter.o: nomspecrespadapter.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h nomspecrespadapter.h \
-  nomgadapter.h $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h \
+  nomspecrespadapter.h nomgadapter.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
@@ -1425,6 +1493,7 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)datatype.h \
-  $(SOPHYAINCP)machdefs.h nomtarradapter.h \
-  nomgadapter.h $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h \
+  nomtarradapter.h nomgadapter.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)gnumd5.h \
@@ -1483,11 +1552,14 @@
   $(SOPHYAINCP)generalfunc.h \
   $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)tvector.h pitvmaad.h \
+  $(SOPHYAINCP)tvector.h \
+  pitvmaad.h \
   $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)piyfxdrw.h \
   $(SOPHYAINCP)parradapter.h \
   $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)fioarr.h nobjmgr.h \
-  $(SOPHYAINCP)dvlist.h dlftypes.h
+  $(SOPHYAINCP)fioarr.h \
+  nobjmgr.h \
+  $(SOPHYAINCP)dvlist.h \
+  dlftypes.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  nomtarradapter.cc
  
@@ -1532,6 +1604,7 @@
   $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)poly.h \
-  $(SOPHYAINCP)generalfunc.h nomtmatvecadapter.h \
-  nomgadapter.h $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)generalfunc.h \
+  nomtmatvecadapter.h nomgadapter.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)pidrawer.h \
@@ -1565,11 +1638,16 @@
   $(SOPHYAINCP)piyfxdrw.h \
   $(SOPHYAINCP)parradapter.h \
-  $(SOPHYAINCP)pidrawer.h pitvmaad.h \
-  $(SOPHYAINCP)cimage.h pimgadapter.h \
-  $(SOPHYAINCP)fioarr.h nobjmgr.h \
-  $(SOPHYAINCP)dvlist.h dlftypes.h
+  $(SOPHYAINCP)pidrawer.h \
+  pitvmaad.h \
+  $(SOPHYAINCP)cimage.h \
+  pimgadapter.h \
+  $(SOPHYAINCP)fioarr.h \
+  nobjmgr.h \
+  $(SOPHYAINCP)dvlist.h \
+  dlftypes.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  nomtmatvecadapter.cc
  
-$(SOPHYAOBJP)pawexecut.o: pawexecut.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)pawexecut.o: pawexecut.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)strutil.h \
   $(SOPHYAINCP)strutilxx.h \
@@ -1610,14 +1688,19 @@
   $(SOPHYAINCP)basedtable.h \
   $(SOPHYAINCP)segdatablock.h \
-  $(SOPHYAINCP)thsafeop.h pawexecut.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h piacmd.h \
+  $(SOPHYAINCP)thsafeop.h \
+  pawexecut.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  piacmd.h \
   $(SOPHYAINCP)commander.h \
   $(SOPHYAINCP)pdlmgr.h \
   $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h dlftypes.h nobjmgr.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h servnobjm.h \
-  $(SOPHYAINCP)pdlmgr.h nomgadapter.h \
+  $(SOPHYAINCP)zthread.h \
+  dlftypes.h nobjmgr.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)dvlist.h \
+  servnobjm.h \
+  $(SOPHYAINCP)pdlmgr.h \
+  nomgadapter.h \
   $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)pibwdggen.h \
@@ -1648,5 +1731,6 @@
   $(SOPHYAINCP)generaldata.h \
   $(SOPHYAINCP)poly.h \
-  $(SOPHYAINCP)generalfunc.h pistdimgapp.h \
+  $(SOPHYAINCP)generalfunc.h \
+  pistdimgapp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
@@ -1684,5 +1768,6 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h pisiadw.h \
+  $(SOPHYAINCP)pigraph3d.h \
+  pisiadw.h \
   $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
@@ -1690,10 +1775,12 @@
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)pitherm.h \
-  $(SOPHYAINCP)resusage.h pihisto.h \
-  phistwrapper.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)resusage.h \
+  pihisto.h phistwrapper.h \
+  $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)tvector.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pawexecut.cc
  
-$(SOPHYAOBJP)pi2dvec.o: pi2dvec.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)pi2dvec.o: pi2dvec.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)histos.h \
@@ -1725,5 +1812,6 @@
   $(SOPHYAINCP)ntuple.h \
   $(SOPHYAINCP)ntupintf.h \
-  $(SOPHYAINCP)nbtri.h pi2dvec.h pistdimgapp.h \
+  $(SOPHYAINCP)nbtri.h \
+  pi2dvec.h pistdimgapp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
@@ -1783,12 +1871,15 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h nobjmgr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h dlftypes.h piacmd.h \
+  $(SOPHYAINCP)pigraph3d.h \
+  nobjmgr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)dvlist.h \
+  dlftypes.h piacmd.h \
   $(SOPHYAINCP)commander.h \
   $(SOPHYAINCP)pdlmgr.h \
   $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h pisiadw.h \
+  $(SOPHYAINCP)zthread.h \
+  pisiadw.h \
   $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
@@ -1801,6 +1892,8 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pi2dvec.cc
  
-$(SOPHYAOBJP)piacmd.o: piacmd.cc $(SOPHYAINCP)sopnamsp.h \
-  piacmd.h $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)piacmd.o: piacmd.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  piacmd.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)commander.h \
   $(SOPHYAINCP)machdefs.h \
@@ -1818,5 +1911,6 @@
   $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h dlftypes.h \
+  $(SOPHYAINCP)zthread.h \
+  dlftypes.h \
   $(SOPHYAINCP)pdlmgr.h \
   $(SOPHYAINCP)ctimer.h \
@@ -1824,5 +1918,6 @@
   $(SOPHYAINCP)strutilxx.h \
   $(SOPHYAINCP)srandgen.h \
-  $(SOPHYAINCP)randinterf.h pistdimgapp.h \
+  $(SOPHYAINCP)randinterf.h \
+  pistdimgapp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
@@ -1882,8 +1977,10 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h nobjmgr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h pisiadw.h \
+  $(SOPHYAINCP)pigraph3d.h \
+  nobjmgr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)dvlist.h \
+  pisiadw.h \
   $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
@@ -1891,6 +1988,6 @@
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)pitherm.h \
-  $(SOPHYAINCP)resusage.h basexecut.h \
-  graphexecut.h piafitting.h nomgadapter.h \
+  $(SOPHYAINCP)resusage.h \
+  basexecut.h graphexecut.h piafitting.h nomgadapter.h \
   $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)parradapter.h \
@@ -1913,6 +2010,6 @@
   $(SOPHYAINCP)fmath.h \
   $(SOPHYAINCP)generalfunc.h \
-  $(SOPHYAINCP)tvector.h pawexecut.h \
-  cxxexecutor.h cxxexecwin.h contmodex.h flowmodex.h
+  $(SOPHYAINCP)tvector.h \
+  pawexecut.h cxxexecutor.h cxxexecwin.h contmodex.h flowmodex.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  piacmd.cc
  
@@ -1966,6 +2063,8 @@
   $(SOPHYAINCP)cimage.h \
   $(SOPHYAINCP)histos2.h \
-  $(SOPHYAINCP)hisprof.h piafitting.h \
-  $(SOPHYAINCP)machdefs.h nomgadapter.h \
+  $(SOPHYAINCP)hisprof.h \
+  piafitting.h \
+  $(SOPHYAINCP)machdefs.h \
+  nomgadapter.h \
   $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)anydataobj.h \
@@ -1995,10 +2094,13 @@
   $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)ntupintf.h \
-  $(SOPHYAINCP)pdlmgr.h dlftypes.h piacmd.h \
+  $(SOPHYAINCP)pdlmgr.h \
+  dlftypes.h piacmd.h \
   $(SOPHYAINCP)commander.h \
   $(SOPHYAINCP)pdlmgr.h \
   $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h nobjmgr.h \
-  $(SOPHYAINCP)dvlist.h pistdimgapp.h \
+  $(SOPHYAINCP)zthread.h \
+  nobjmgr.h \
+  $(SOPHYAINCP)dvlist.h \
+  pistdimgapp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
@@ -2036,5 +2138,6 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h pisiadw.h \
+  $(SOPHYAINCP)pigraph3d.h \
+  pisiadw.h \
   $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
@@ -2042,14 +2145,17 @@
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)pitherm.h \
-  $(SOPHYAINCP)resusage.h nomhistadapter.h \
+  $(SOPHYAINCP)resusage.h \
+  nomhistadapter.h \
   $(SOPHYAINCP)basedtable.h \
   $(SOPHYAINCP)segdatablock.h \
-  $(SOPHYAINCP)thsafeop.h nomgfdadapter.h \
-  nomimagadapter.h nomtmatvecadapter.h \
+  $(SOPHYAINCP)thsafeop.h \
+  nomgfdadapter.h nomimagadapter.h nomtmatvecadapter.h \
   $(SOPHYAINCP)generaldata.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  piafitting.cc
  
-$(SOPHYAOBJP)pigfd1.o: pigfd1.cc $(SOPHYAINCP)sopnamsp.h \
-  pigfd1.h $(SOPHYAINCP)generaldata.h \
+$(SOPHYAOBJP)pigfd1.o: pigfd1.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  pigfd1.h \
+  $(SOPHYAINCP)generaldata.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)machdefs.h \
@@ -2103,6 +2209,8 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pigfd1.cc
  
-$(SOPHYAOBJP)pigfd2.o: pigfd2.cc $(SOPHYAINCP)sopnamsp.h \
-  pigfd2.h $(SOPHYAINCP)generaldata.h \
+$(SOPHYAOBJP)pigfd2.o: pigfd2.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  pigfd2.h \
+  $(SOPHYAINCP)generaldata.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)machdefs.h \
@@ -2159,33 +2267,6 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pigfd2.cc
  
-$(SOPHYAOBJP)pihisto.o: pihisto.cc pihisto.h \
-  $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)pisysdep.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)piwdgx.h \
-  $(SOPHYAINCP)piwdggen.h \
-  $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picolist.h \
-  $(SOPHYAINCP)pipixutils.h \
-  $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
-  $(SOPHYAINCP)picmapgen.h \
-  $(SOPHYAINCP)pigraphx.h \
-  $(SOPHYAINCP)pigraphgen.h \
-  $(SOPHYAINCP)pifontx.h \
-  $(SOPHYAINCP)pifontgen.h \
-  $(SOPHYAINCP)pigrcoord.h \
-  $(SOPHYAINCP)pilineatt.h \
-  $(SOPHYAINCP)pigraphuc.h \
-  $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigratt.h \
-  $(SOPHYAINCP)piaxes.h phistwrapper.h \
-  $(SOPHYAINCP)parradapter.h \
-  $(SOPHYAINCP)lut.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pihisto.cc
- 
-$(SOPHYAOBJP)pihisto2d.o: pihisto2d.cc $(SOPHYAINCP)pisysdep.h \
+$(SOPHYAOBJP)pihisto2d.o: pihisto2d.cc \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)piapplx.h \
@@ -2204,5 +2285,6 @@
   $(SOPHYAINCP)pimenugen.h \
   $(SOPHYAINCP)piconsenum.h \
-  $(SOPHYAINCP)sopnamsp.h pihisto2d.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  pihisto2d.h \
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenubarx.h \
@@ -2233,5 +2315,6 @@
   $(SOPHYAINCP)piwindowgen.h \
   $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pieldrw.h phistwrapper.h \
+  $(SOPHYAINCP)pieldrw.h \
+  phistwrapper.h \
   $(SOPHYAINCP)parradapter.h \
   $(SOPHYAINCP)lut.h \
@@ -2241,6 +2324,37 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pihisto2d.cc
  
-$(SOPHYAOBJP)piinit.o: piinit.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h piinit.h \
+$(SOPHYAOBJP)pihisto.o: pihisto.cc pihisto.h \
+  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)piwdggen.h \
+  $(SOPHYAINCP)pimsghandler.h \
+  $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
+  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmapgen.h \
+  $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pigrcoord.h \
+  $(SOPHYAINCP)pilineatt.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pievthandler.h \
+  $(SOPHYAINCP)psfile.h \
+  $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)piaxes.h \
+  phistwrapper.h \
+  $(SOPHYAINCP)parradapter.h \
+  $(SOPHYAINCP)lut.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pihisto.cc
+ 
+$(SOPHYAOBJP)piinit.o: piinit.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  piinit.h \
   $(SOPHYAINCP)sambainit.h \
   $(SOPHYAINCP)skymapinit.h \
@@ -2248,5 +2362,6 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)ntoolsinit.h \
-  $(SOPHYAINCP)tarrinit.h pistdimgapp.h \
+  $(SOPHYAINCP)tarrinit.h \
+  pistdimgapp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
@@ -2306,5 +2421,6 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h nobjmgr.h \
+  $(SOPHYAINCP)pigraph3d.h \
+  nobjmgr.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
@@ -2319,10 +2435,12 @@
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h dlftypes.h piacmd.h \
+  $(SOPHYAINCP)timestamp.h \
+  dlftypes.h piacmd.h \
   $(SOPHYAINCP)commander.h \
   $(SOPHYAINCP)pdlmgr.h \
   $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h pisiadw.h \
+  $(SOPHYAINCP)zthread.h \
+  pisiadw.h \
   $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
@@ -2330,7 +2448,9 @@
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)pitherm.h \
-  $(SOPHYAINCP)resusage.h servnobjm.h \
-  $(SOPHYAINCP)pdlmgr.h nomdvladapter.h \
-  nomgadapter.h $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)resusage.h \
+  servnobjm.h \
+  $(SOPHYAINCP)pdlmgr.h \
+  nomdvladapter.h nomgadapter.h \
+  $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)parradapter.h \
   $(SOPHYAINCP)ntupintf.h \
@@ -2352,5 +2472,6 @@
   $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)generalfunc.h nomhistadapter.h \
+  $(SOPHYAINCP)generalfunc.h \
+  nomhistadapter.h \
   $(SOPHYAINCP)histos.h \
   $(SOPHYAINCP)histos2.h \
@@ -2360,11 +2481,15 @@
   $(SOPHYAINCP)basedtable.h \
   $(SOPHYAINCP)segdatablock.h \
-  $(SOPHYAINCP)thsafeop.h nomherradapter.h \
+  $(SOPHYAINCP)thsafeop.h \
+  nomherradapter.h \
   $(SOPHYAINCP)histerr.h \
-  $(SOPHYAINCP)hist2err.h nomgfdadapter.h \
-  nomimagadapter.h $(SOPHYAINCP)cimage.h \
-  $(SOPHYAINCP)fioarr.h nomtmatvecadapter.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)generaldata.h nomtarradapter.h \
+  $(SOPHYAINCP)hist2err.h \
+  nomgfdadapter.h nomimagadapter.h \
+  $(SOPHYAINCP)cimage.h \
+  $(SOPHYAINCP)fioarr.h \
+  nomtmatvecadapter.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)generaldata.h \
+  nomtarradapter.h \
   $(SOPHYAINCP)tarray.h \
   $(SOPHYAINCP)datatable.h \
@@ -2373,5 +2498,6 @@
   $(SOPHYAINCP)swsegdb.h \
   $(SOPHYAINCP)ppfswapper.h \
-  $(SOPHYAINCP)ppftpointerio.h nomskymapadapter.h \
+  $(SOPHYAINCP)ppftpointerio.h \
+  nomskymapadapter.h \
   $(SOPHYAINCP)pixelmap.h \
   $(SOPHYAINCP)spherepos.h \
@@ -2391,10 +2517,14 @@
   $(SOPHYAINCP)specrespvector.h \
   $(SOPHYAINCP)specresp.h \
-  $(SOPHYAINCP)gaussfilt.h nomspecrespadapter.h \
-  $(SOPHYAINCP)specresp.h piaversion.h
+  $(SOPHYAINCP)gaussfilt.h \
+  nomspecrespadapter.h \
+  $(SOPHYAINCP)specresp.h \
+  piaversion.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  piinit.cc
  
-$(SOPHYAOBJP)pintup3d.o: pintup3d.cc $(SOPHYAINCP)sopnamsp.h \
-  pintup3d.h $(SOPHYAINCP)ntupintf.h \
+$(SOPHYAOBJP)pintup3d.o: pintup3d.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  pintup3d.h \
+  $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pi3ddrw.h \
@@ -2425,6 +2555,8 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pintup3d.cc
  
-$(SOPHYAOBJP)pintuple.o: pintuple.cc $(SOPHYAINCP)sopnamsp.h \
-  pintuple.h $(SOPHYAINCP)ntupintf.h \
+$(SOPHYAOBJP)pintuple.o: pintuple.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  pintuple.h \
+  $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pidrawer.h \
@@ -2452,6 +2584,8 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pintuple.cc
  
-$(SOPHYAOBJP)pipodrw.o: pipodrw.cc $(SOPHYAINCP)sopnamsp.h \
-  pipodrw.h $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)pipodrw.o: pipodrw.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  pipodrw.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)pibwdggen.h \
@@ -2513,5 +2647,6 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pipodrw.cc
  
-$(SOPHYAOBJP)pisiadw.o: pisiadw.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)pisiadw.o: pisiadw.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)perrors.h \
@@ -2520,5 +2655,6 @@
   $(SOPHYAINCP)ctimer.h \
   $(SOPHYAINCP)nbmath.h \
-  $(SOPHYAINCP)smathconst.h pistdimgapp.h \
+  $(SOPHYAINCP)smathconst.h \
+  pistdimgapp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
@@ -2578,5 +2714,6 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h nobjmgr.h \
+  $(SOPHYAINCP)pigraph3d.h \
+  nobjmgr.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
@@ -2590,10 +2727,12 @@
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h dlftypes.h piacmd.h \
+  $(SOPHYAINCP)timestamp.h \
+  dlftypes.h piacmd.h \
   $(SOPHYAINCP)commander.h \
   $(SOPHYAINCP)pdlmgr.h \
   $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h pisiadw.h \
+  $(SOPHYAINCP)zthread.h \
+  pisiadw.h \
   $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
@@ -2601,5 +2740,6 @@
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)pitherm.h \
-  $(SOPHYAINCP)resusage.h servnobjm.h \
+  $(SOPHYAINCP)resusage.h \
+  servnobjm.h \
   $(SOPHYAINCP)pdlmgr.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pisiadw.cc
@@ -2635,5 +2775,6 @@
   $(SOPHYAINCP)fioarr.h \
   $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tvector_tsnl.h pistdimgapp.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  pistdimgapp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
@@ -2693,12 +2834,15 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h nobjmgr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h dlftypes.h piacmd.h \
+  $(SOPHYAINCP)pigraph3d.h \
+  nobjmgr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)dvlist.h \
+  dlftypes.h piacmd.h \
   $(SOPHYAINCP)commander.h \
   $(SOPHYAINCP)pdlmgr.h \
   $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h pisiadw.h \
+  $(SOPHYAINCP)zthread.h \
+  pisiadw.h \
   $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
@@ -2706,5 +2850,6 @@
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)pitherm.h \
-  $(SOPHYAINCP)resusage.h servnobjm.h \
+  $(SOPHYAINCP)resusage.h \
+  servnobjm.h \
   $(SOPHYAINCP)pdlmgr.h \
   $(SOPHYAINCP)psfile.h \
@@ -2714,5 +2859,6 @@
   $(SOPHYAINCP)pidrwtools.h \
   $(SOPHYAINCP)piaxestools.h \
-  $(SOPHYAINCP)piscdrawwdg.h piinit.h \
+  $(SOPHYAINCP)piscdrawwdg.h \
+  piinit.h \
   $(SOPHYAINCP)sambainit.h \
   $(SOPHYAINCP)skymapinit.h \
@@ -2720,9 +2866,12 @@
   $(SOPHYAINCP)ntoolsinit.h \
   $(SOPHYAINCP)tarrinit.h \
-  $(SOPHYAINCP)piversion.h piaversion.h
+  $(SOPHYAINCP)piversion.h \
+  piaversion.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pistdimgapp.cc
  
-$(SOPHYAOBJP)pitvmaad.o: pitvmaad.cc $(SOPHYAINCP)sopnamsp.h \
-  pitvmaad.h $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)pitvmaad.o: pitvmaad.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  pitvmaad.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)parradapter.h \
   $(SOPHYAINCP)machdefs.h \
@@ -2752,6 +2901,8 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pitvmaad.cc
  
-$(SOPHYAOBJP)servnobjm.o: servnobjm.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)strutil.h nobjmgr.h \
+$(SOPHYAOBJP)servnobjm.o: servnobjm.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)strutil.h \
+  nobjmgr.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)anydataobj.h \
@@ -2768,7 +2919,9 @@
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h dlftypes.h servnobjm.h \
+  $(SOPHYAINCP)timestamp.h \
+  dlftypes.h servnobjm.h \
   $(SOPHYAINCP)pdlmgr.h \
-  $(SOPHYAINCP)zthread.h nomgadapter.h \
+  $(SOPHYAINCP)zthread.h \
+  nomgadapter.h \
   $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)pibwdggen.h \
@@ -2814,5 +2967,6 @@
   $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)generalfunc.h pistdimgapp.h \
+  $(SOPHYAINCP)generalfunc.h \
+  pistdimgapp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
@@ -2850,8 +3004,10 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h piacmd.h \
+  $(SOPHYAINCP)pigraph3d.h \
+  piacmd.h \
   $(SOPHYAINCP)commander.h \
   $(SOPHYAINCP)pdlmgr.h \
-  $(SOPHYAINCP)ctimer.h pisiadw.h \
+  $(SOPHYAINCP)ctimer.h \
+  pisiadw.h \
   $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
@@ -2865,5 +3021,6 @@
   $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)matharr.h pitvmaad.h \
+  $(SOPHYAINCP)matharr.h \
+  pitvmaad.h \
   $(SOPHYAINCP)ntuple.h \
   $(SOPHYAINCP)cimage.h \
@@ -2878,6 +3035,8 @@
   $(SOPHYAINCP)thsafeop.h \
   $(SOPHYAINCP)piyfxdrw.h \
-  $(SOPHYAINCP)pisurfdr.h pintuple.h pintup3d.h \
-  $(SOPHYAINCP)pi3ddrw.h pipodrw.h \
+  $(SOPHYAINCP)pisurfdr.h \
+  pintuple.h pintup3d.h \
+  $(SOPHYAINCP)pi3ddrw.h \
+  pipodrw.h \
   $(SOPHYAINCP)hist2err.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  servnobjm.cc
Index: trunk/SophyaPI/PIext/smakefile
===================================================================
--- trunk/SophyaPI/PIext/smakefile	(revision 3860)
+++ trunk/SophyaPI/PIext/smakefile	(revision 3879)
@@ -4,5 +4,5 @@
  
 clean:
-	 rm -f $(SOPHYAOBJP)basexecut.o $(SOPHYAOBJP)contmodex.o $(SOPHYAOBJP)cxxexecutor.o $(SOPHYAOBJP)cxxexecwin.o $(SOPHYAOBJP)flowmodex.o $(SOPHYAOBJP)graphexecut.o $(SOPHYAOBJP)nobjmgr.o $(SOPHYAOBJP)nomdvladapter.o $(SOPHYAOBJP)nomgadapter.o $(SOPHYAOBJP)nomgfdadapter.o $(SOPHYAOBJP)nomherradapter.o $(SOPHYAOBJP)nomhistadapter.o $(SOPHYAOBJP)nomimagadapter.o $(SOPHYAOBJP)nomskymapadapter.o $(SOPHYAOBJP)nomspecrespadapter.o $(SOPHYAOBJP)nomtarradapter.o $(SOPHYAOBJP)nomtmatvecadapter.o $(SOPHYAOBJP)pawexecut.o $(SOPHYAOBJP)pi2dvec.o $(SOPHYAOBJP)piacmd.o $(SOPHYAOBJP)piafitting.o $(SOPHYAOBJP)pigfd1.o $(SOPHYAOBJP)pigfd2.o $(SOPHYAOBJP)pihisto.o $(SOPHYAOBJP)pihisto2d.o $(SOPHYAOBJP)piinit.o $(SOPHYAOBJP)pintup3d.o $(SOPHYAOBJP)pintuple.o $(SOPHYAOBJP)pipodrw.o $(SOPHYAOBJP)pisiadw.o $(SOPHYAOBJP)pistdimgapp.o $(SOPHYAOBJP)pistlist.o $(SOPHYAOBJP)pitvmaad.o $(SOPHYAOBJP)servnobjm.o $(SOPHYAOBJP)userfitfunex.o
+	 rm -f $(SOPHYAOBJP)basexecut.o $(SOPHYAOBJP)contmodex.o $(SOPHYAOBJP)cxxexecutor.o $(SOPHYAOBJP)cxxexecwin.o $(SOPHYAOBJP)flowmodex.o $(SOPHYAOBJP)graphexecut.o $(SOPHYAOBJP)nobjmgr.o $(SOPHYAOBJP)nomdvladapter.o $(SOPHYAOBJP)nomgadapter.o $(SOPHYAOBJP)nomgfdadapter.o $(SOPHYAOBJP)nomherradapter.o $(SOPHYAOBJP)nomhistadapter.o $(SOPHYAOBJP)nomimagadapter.o $(SOPHYAOBJP)nomskymapadapter.o $(SOPHYAOBJP)nomspecrespadapter.o $(SOPHYAOBJP)nomtarradapter.o $(SOPHYAOBJP)nomtmatvecadapter.o $(SOPHYAOBJP)pawexecut.o $(SOPHYAOBJP)pi2dvec.o $(SOPHYAOBJP)piacmd.o $(SOPHYAOBJP)piafitting.o $(SOPHYAOBJP)pigfd1.o $(SOPHYAOBJP)pigfd2.o $(SOPHYAOBJP)pihisto2d.o $(SOPHYAOBJP)pihisto.o $(SOPHYAOBJP)piinit.o $(SOPHYAOBJP)pintup3d.o $(SOPHYAOBJP)pintuple.o $(SOPHYAOBJP)pipodrw.o $(SOPHYAOBJP)pisiadw.o $(SOPHYAOBJP)pistdimgapp.o $(SOPHYAOBJP)pistlist.o $(SOPHYAOBJP)pitvmaad.o $(SOPHYAOBJP)servnobjm.o $(SOPHYAOBJP)userfitfunex.o
 	rm -f $(SOPHYALIBP)libPIext.a
  
@@ -11,6 +11,8 @@
 	touch $(SOPHYAINCP)/SophyaConfInfo/libPI.objlist
  
-$(SOPHYAOBJP)basexecut.o: basexecut.cc $(SOPHYAINCP)sopnamsp.h \
-  piacmd.h $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)basexecut.o: basexecut.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  piacmd.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)commander.h \
   $(SOPHYAINCP)machdefs.h \
@@ -28,8 +30,10 @@
   $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h dlftypes.h basexecut.h \
+  $(SOPHYAINCP)zthread.h \
+  dlftypes.h basexecut.h \
   $(SOPHYAINCP)pdlmgr.h \
   $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)strutilxx.h pistdimgapp.h \
+  $(SOPHYAINCP)strutilxx.h \
+  pistdimgapp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
@@ -89,8 +93,10 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h nobjmgr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h pisiadw.h \
+  $(SOPHYAINCP)pigraph3d.h \
+  nobjmgr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)dvlist.h \
+  pisiadw.h \
   $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
@@ -98,6 +104,7 @@
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)pitherm.h \
-  $(SOPHYAINCP)resusage.h servnobjm.h \
-  nomgadapter.h $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)resusage.h \
+  servnobjm.h nomgadapter.h \
+  $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)parradapter.h \
   $(SOPHYAINCP)ntupintf.h \
@@ -133,6 +140,9 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  basexecut.cc
  
-$(SOPHYAOBJP)contmodex.o: contmodex.cc $(SOPHYAINCP)sopnamsp.h \
-  contmodex.h $(SOPHYAINCP)machdefs.h piacmd.h \
+$(SOPHYAOBJP)contmodex.o: contmodex.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  contmodex.h \
+  $(SOPHYAINCP)machdefs.h \
+  piacmd.h \
   $(SOPHYAINCP)commander.h \
   $(SOPHYAINCP)machdefs.h \
@@ -150,5 +160,6 @@
   $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h dlftypes.h nobjmgr.h \
+  $(SOPHYAINCP)zthread.h \
+  dlftypes.h nobjmgr.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
@@ -228,5 +239,6 @@
   $(SOPHYAINCP)gp_graph3d.h \
   $(SOPHYAINCP)gp_alloc.h \
-  $(SOPHYAINCP)pidrawer.h nomgadapter.h \
+  $(SOPHYAINCP)pidrawer.h \
+  nomgadapter.h \
   $(SOPHYAINCP)parradapter.h \
   $(SOPHYAINCP)ntupintf.h \
@@ -247,11 +259,14 @@
   $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)generalfunc.h servnobjm.h \
+  $(SOPHYAINCP)generalfunc.h \
+  servnobjm.h \
   $(SOPHYAINCP)pdlmgr.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  contmodex.cc
  
 $(SOPHYAOBJP)cxxexecutor.o: cxxexecutor.cc \
-  $(SOPHYAINCP)sopnamsp.h cxxexecutor.h \
-  $(SOPHYAINCP)machdefs.h piacmd.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  cxxexecutor.h \
+  $(SOPHYAINCP)machdefs.h \
+  piacmd.h \
   $(SOPHYAINCP)commander.h \
   $(SOPHYAINCP)machdefs.h \
@@ -269,10 +284,12 @@
   $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h dlftypes.h nobjmgr.h \
+  $(SOPHYAINCP)zthread.h \
+  dlftypes.h nobjmgr.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)strutilxx.h \
-  $(SOPHYAINCP)cxxcmplnk.h nomgadapter.h \
+  $(SOPHYAINCP)cxxcmplnk.h \
+  nomgadapter.h \
   $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)pibwdggen.h \
@@ -317,5 +334,6 @@
   $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)generalfunc.h pistdimgapp.h \
+  $(SOPHYAINCP)generalfunc.h \
+  pistdimgapp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
@@ -353,5 +371,6 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h pisiadw.h \
+  $(SOPHYAINCP)pigraph3d.h \
+  pisiadw.h \
   $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
@@ -363,6 +382,8 @@
  
 $(SOPHYAOBJP)cxxexecwin.o: cxxexecwin.cc \
-  $(SOPHYAINCP)sopnamsp.h cxxexecutor.h \
-  $(SOPHYAINCP)machdefs.h piacmd.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  cxxexecutor.h \
+  $(SOPHYAINCP)machdefs.h \
+  piacmd.h \
   $(SOPHYAINCP)commander.h \
   $(SOPHYAINCP)machdefs.h \
@@ -380,9 +401,12 @@
   $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h dlftypes.h nobjmgr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h cxxexecwin.h \
-  $(SOPHYAINCP)pisysdep.h pistdimgapp.h \
+  $(SOPHYAINCP)zthread.h \
+  dlftypes.h nobjmgr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)dvlist.h \
+  cxxexecwin.h \
+  $(SOPHYAINCP)pisysdep.h \
+  pistdimgapp.h \
   $(SOPHYAINCP)piapplx.h \
   $(SOPHYAINCP)piapplgen.h \
@@ -441,5 +465,6 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h pisiadw.h \
+  $(SOPHYAINCP)pigraph3d.h \
+  pisiadw.h \
   $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
@@ -450,6 +475,9 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  cxxexecwin.cc
  
-$(SOPHYAOBJP)flowmodex.o: flowmodex.cc $(SOPHYAINCP)sopnamsp.h \
-  flowmodex.h $(SOPHYAINCP)machdefs.h piacmd.h \
+$(SOPHYAOBJP)flowmodex.o: flowmodex.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  flowmodex.h \
+  $(SOPHYAINCP)machdefs.h \
+  piacmd.h \
   $(SOPHYAINCP)commander.h \
   $(SOPHYAINCP)machdefs.h \
@@ -467,8 +495,10 @@
   $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h dlftypes.h nobjmgr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h pi2dvec.h pistdimgapp.h \
+  $(SOPHYAINCP)zthread.h \
+  dlftypes.h nobjmgr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)dvlist.h \
+  pi2dvec.h pistdimgapp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
@@ -528,5 +558,6 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h pisiadw.h \
+  $(SOPHYAINCP)pigraph3d.h \
+  pisiadw.h \
   $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
@@ -539,5 +570,6 @@
   $(SOPHYAINCP)ntuple.h \
   $(SOPHYAINCP)ntupintf.h \
-  $(SOPHYAINCP)pidrawer.h nomgadapter.h \
+  $(SOPHYAINCP)pidrawer.h \
+  nomgadapter.h \
   $(SOPHYAINCP)parradapter.h \
   $(SOPHYAINCP)generalfit.h \
@@ -557,10 +589,12 @@
   $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)generalfunc.h servnobjm.h \
+  $(SOPHYAINCP)generalfunc.h \
+  servnobjm.h \
   $(SOPHYAINCP)pdlmgr.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  flowmodex.cc
  
 $(SOPHYAOBJP)graphexecut.o: graphexecut.cc \
-  $(SOPHYAINCP)sopnamsp.h piacmd.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  piacmd.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)commander.h \
@@ -579,6 +613,8 @@
   $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h dlftypes.h graphexecut.h \
-  $(SOPHYAINCP)strutilxx.h pistdimgapp.h \
+  $(SOPHYAINCP)zthread.h \
+  dlftypes.h graphexecut.h \
+  $(SOPHYAINCP)strutilxx.h \
+  pistdimgapp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
@@ -638,8 +674,10 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h nobjmgr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h pisiadw.h \
+  $(SOPHYAINCP)pigraph3d.h \
+  nobjmgr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)dvlist.h \
+  pisiadw.h \
   $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
@@ -647,5 +685,6 @@
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)pitherm.h \
-  $(SOPHYAINCP)resusage.h nomgadapter.h \
+  $(SOPHYAINCP)resusage.h \
+  nomgadapter.h \
   $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)parradapter.h \
@@ -674,8 +713,10 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  graphexecut.cc
  
-$(SOPHYAOBJP)nobjmgr.o: nobjmgr.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)nobjmgr.o: nobjmgr.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)strutil.h \
   $(SOPHYAINCP)datatypes.h \
-  $(SOPHYAINCP)machdefs.h nobjmgr.h \
+  $(SOPHYAINCP)machdefs.h \
+  nobjmgr.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)anydataobj.h \
@@ -691,7 +732,9 @@
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h dlftypes.h servnobjm.h \
+  $(SOPHYAINCP)timestamp.h \
+  dlftypes.h servnobjm.h \
   $(SOPHYAINCP)pdlmgr.h \
-  $(SOPHYAINCP)zthread.h nomgadapter.h \
+  $(SOPHYAINCP)zthread.h \
+  nomgadapter.h \
   $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)pibwdggen.h \
@@ -737,5 +780,6 @@
   $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)generalfunc.h pistdimgapp.h \
+  $(SOPHYAINCP)generalfunc.h \
+  pistdimgapp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
@@ -773,8 +817,10 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h piacmd.h \
+  $(SOPHYAINCP)pigraph3d.h \
+  piacmd.h \
   $(SOPHYAINCP)commander.h \
   $(SOPHYAINCP)pdlmgr.h \
-  $(SOPHYAINCP)ctimer.h pisiadw.h \
+  $(SOPHYAINCP)ctimer.h \
+  pisiadw.h \
   $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
@@ -783,19 +829,25 @@
   $(SOPHYAINCP)pitherm.h \
   $(SOPHYAINCP)resusage.h \
-  $(SOPHYAINCP)tvector.h pitvmaad.h \
+  $(SOPHYAINCP)tvector.h \
+  pitvmaad.h \
   $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)piyfxdrw.h \
-  $(SOPHYAINCP)pisurfdr.h pipodrw.h \
+  $(SOPHYAINCP)pisurfdr.h \
+  pipodrw.h \
   $(SOPHYAINCP)histos2.h \
   $(SOPHYAINCP)histos.h \
-  $(SOPHYAINCP)hist2err.h pintuple.h pintup3d.h \
-  $(SOPHYAINCP)pi3ddrw.h pigfd1.h \
-  $(SOPHYAINCP)generaldata.h pigfd2.h
+  $(SOPHYAINCP)hist2err.h \
+  pintuple.h pintup3d.h \
+  $(SOPHYAINCP)pi3ddrw.h \
+  pigfd1.h \
+  $(SOPHYAINCP)generaldata.h \
+  pigfd2.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  nobjmgr.cc
  
 $(SOPHYAOBJP)nomdvladapter.o: nomdvladapter.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h nomdvladapter.h \
-  nomgadapter.h $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h \
+  nomdvladapter.h nomgadapter.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
@@ -859,5 +911,6 @@
 $(SOPHYAOBJP)nomgadapter.o: nomgadapter.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h nomgadapter.h \
+  $(SOPHYAINCP)machdefs.h \
+  nomgadapter.h \
   $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)machdefs.h \
@@ -921,6 +974,7 @@
 $(SOPHYAOBJP)nomgfdadapter.o: nomgfdadapter.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h nomgfdadapter.h \
-  nomgadapter.h $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h \
+  nomgfdadapter.h nomgadapter.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
@@ -978,5 +1032,6 @@
   $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)generalfunc.h pipodrw.h \
+  $(SOPHYAINCP)generalfunc.h \
+  pipodrw.h \
   $(SOPHYAINCP)histos2.h \
   $(SOPHYAINCP)histos.h \
@@ -992,6 +1047,7 @@
 $(SOPHYAOBJP)nomherradapter.o: nomherradapter.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h nomherradapter.h \
-  nomgadapter.h $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h \
+  nomherradapter.h nomgadapter.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
@@ -1051,6 +1107,6 @@
   $(SOPHYAINCP)generalfunc.h \
   $(SOPHYAINCP)histerr.h \
-  $(SOPHYAINCP)hist2err.h pihisto.h \
-  phistwrapper.h pihisto2d.h \
+  $(SOPHYAINCP)hist2err.h \
+  pihisto.h phistwrapper.h pihisto2d.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pimenux.h \
@@ -1071,12 +1127,15 @@
   $(SOPHYAINCP)picontainergen.h \
   $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pieldrw.h sohiswrap.h \
+  $(SOPHYAINCP)pieldrw.h \
+  sohiswrap.h \
   $(SOPHYAINCP)histos.h \
   $(SOPHYAINCP)hisprof.h \
   $(SOPHYAINCP)histos.h \
   $(SOPHYAINCP)histos2.h \
-  $(SOPHYAINCP)pexceptions.h pipodrw.h \
-  servnobjm.h nobjmgr.h $(SOPHYAINCP)dvlist.h \
-  dlftypes.h $(SOPHYAINCP)pdlmgr.h \
+  $(SOPHYAINCP)pexceptions.h \
+  pipodrw.h servnobjm.h nobjmgr.h \
+  $(SOPHYAINCP)dvlist.h \
+  dlftypes.h \
+  $(SOPHYAINCP)pdlmgr.h \
   $(SOPHYAINCP)zthread.h \
   $(SOPHYAINCP)objfitter.h \
@@ -1091,6 +1150,7 @@
 $(SOPHYAOBJP)nomhistadapter.o: nomhistadapter.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h nomhistadapter.h \
-  nomgadapter.h $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h \
+  nomhistadapter.h nomgadapter.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
@@ -1156,9 +1216,10 @@
   $(SOPHYAINCP)basedtable.h \
   $(SOPHYAINCP)segdatablock.h \
-  $(SOPHYAINCP)thsafeop.h pihisto.h \
-  phistwrapper.h sohiswrap.h \
+  $(SOPHYAINCP)thsafeop.h \
+  pihisto.h phistwrapper.h sohiswrap.h \
   $(SOPHYAINCP)histerr.h \
   $(SOPHYAINCP)hist2err.h \
-  $(SOPHYAINCP)pexceptions.h pihisto2d.h \
+  $(SOPHYAINCP)pexceptions.h \
+  pihisto2d.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pimenux.h \
@@ -1179,6 +1240,8 @@
   $(SOPHYAINCP)picontainergen.h \
   $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pieldrw.h pipodrw.h servnobjm.h \
-  nobjmgr.h $(SOPHYAINCP)dvlist.h dlftypes.h \
+  $(SOPHYAINCP)pieldrw.h \
+  pipodrw.h servnobjm.h nobjmgr.h \
+  $(SOPHYAINCP)dvlist.h \
+  dlftypes.h \
   $(SOPHYAINCP)pdlmgr.h \
   $(SOPHYAINCP)zthread.h \
@@ -1202,6 +1265,7 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)datatype.h \
-  $(SOPHYAINCP)machdefs.h nomimagadapter.h \
-  nomgadapter.h $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h \
+  nomimagadapter.h nomgadapter.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)gnumd5.h \
@@ -1260,5 +1324,6 @@
   $(SOPHYAINCP)generalfunc.h \
   $(SOPHYAINCP)cimage.h \
-  $(SOPHYAINCP)fioarr.h pimgadapter.h \
+  $(SOPHYAINCP)fioarr.h \
+  pimgadapter.h \
   $(SOPHYAINCP)objfitter.h \
   $(SOPHYAINCP)cimage.h \
@@ -1273,6 +1338,7 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)datatype.h \
-  $(SOPHYAINCP)machdefs.h nomskymapadapter.h \
-  nomgadapter.h $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h \
+  nomskymapadapter.h nomgadapter.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)gnumd5.h \
@@ -1350,5 +1416,6 @@
   $(SOPHYAINCP)fiospherehealpix.h \
   $(SOPHYAINCP)fiolocalmap.h \
-  $(SOPHYAINCP)fiosphereecp.h pitvmaad.h \
+  $(SOPHYAINCP)fiosphereecp.h \
+  pitvmaad.h \
   $(SOPHYAINCP)tvector.h \
   $(SOPHYAINCP)complexios.h
@@ -1357,6 +1424,7 @@
 $(SOPHYAOBJP)nomspecrespadapter.o: nomspecrespadapter.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h nomspecrespadapter.h \
-  nomgadapter.h $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h \
+  nomspecrespadapter.h nomgadapter.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
@@ -1425,6 +1493,7 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)datatype.h \
-  $(SOPHYAINCP)machdefs.h nomtarradapter.h \
-  nomgadapter.h $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h \
+  nomtarradapter.h nomgadapter.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)gnumd5.h \
@@ -1483,11 +1552,14 @@
   $(SOPHYAINCP)generalfunc.h \
   $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)tvector.h pitvmaad.h \
+  $(SOPHYAINCP)tvector.h \
+  pitvmaad.h \
   $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)piyfxdrw.h \
   $(SOPHYAINCP)parradapter.h \
   $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)fioarr.h nobjmgr.h \
-  $(SOPHYAINCP)dvlist.h dlftypes.h
+  $(SOPHYAINCP)fioarr.h \
+  nobjmgr.h \
+  $(SOPHYAINCP)dvlist.h \
+  dlftypes.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  nomtarradapter.cc
  
@@ -1532,6 +1604,7 @@
   $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)poly.h \
-  $(SOPHYAINCP)generalfunc.h nomtmatvecadapter.h \
-  nomgadapter.h $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)generalfunc.h \
+  nomtmatvecadapter.h nomgadapter.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)pidrawer.h \
@@ -1565,11 +1638,16 @@
   $(SOPHYAINCP)piyfxdrw.h \
   $(SOPHYAINCP)parradapter.h \
-  $(SOPHYAINCP)pidrawer.h pitvmaad.h \
-  $(SOPHYAINCP)cimage.h pimgadapter.h \
-  $(SOPHYAINCP)fioarr.h nobjmgr.h \
-  $(SOPHYAINCP)dvlist.h dlftypes.h
+  $(SOPHYAINCP)pidrawer.h \
+  pitvmaad.h \
+  $(SOPHYAINCP)cimage.h \
+  pimgadapter.h \
+  $(SOPHYAINCP)fioarr.h \
+  nobjmgr.h \
+  $(SOPHYAINCP)dvlist.h \
+  dlftypes.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  nomtmatvecadapter.cc
  
-$(SOPHYAOBJP)pawexecut.o: pawexecut.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)pawexecut.o: pawexecut.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)strutil.h \
   $(SOPHYAINCP)strutilxx.h \
@@ -1610,14 +1688,19 @@
   $(SOPHYAINCP)basedtable.h \
   $(SOPHYAINCP)segdatablock.h \
-  $(SOPHYAINCP)thsafeop.h pawexecut.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h piacmd.h \
+  $(SOPHYAINCP)thsafeop.h \
+  pawexecut.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  piacmd.h \
   $(SOPHYAINCP)commander.h \
   $(SOPHYAINCP)pdlmgr.h \
   $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h dlftypes.h nobjmgr.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h servnobjm.h \
-  $(SOPHYAINCP)pdlmgr.h nomgadapter.h \
+  $(SOPHYAINCP)zthread.h \
+  dlftypes.h nobjmgr.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)dvlist.h \
+  servnobjm.h \
+  $(SOPHYAINCP)pdlmgr.h \
+  nomgadapter.h \
   $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)pibwdggen.h \
@@ -1648,5 +1731,6 @@
   $(SOPHYAINCP)generaldata.h \
   $(SOPHYAINCP)poly.h \
-  $(SOPHYAINCP)generalfunc.h pistdimgapp.h \
+  $(SOPHYAINCP)generalfunc.h \
+  pistdimgapp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
@@ -1684,5 +1768,6 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h pisiadw.h \
+  $(SOPHYAINCP)pigraph3d.h \
+  pisiadw.h \
   $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
@@ -1690,10 +1775,12 @@
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)pitherm.h \
-  $(SOPHYAINCP)resusage.h pihisto.h \
-  phistwrapper.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)resusage.h \
+  pihisto.h phistwrapper.h \
+  $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)tvector.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pawexecut.cc
  
-$(SOPHYAOBJP)pi2dvec.o: pi2dvec.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)pi2dvec.o: pi2dvec.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)histos.h \
@@ -1725,5 +1812,6 @@
   $(SOPHYAINCP)ntuple.h \
   $(SOPHYAINCP)ntupintf.h \
-  $(SOPHYAINCP)nbtri.h pi2dvec.h pistdimgapp.h \
+  $(SOPHYAINCP)nbtri.h \
+  pi2dvec.h pistdimgapp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
@@ -1783,12 +1871,15 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h nobjmgr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h dlftypes.h piacmd.h \
+  $(SOPHYAINCP)pigraph3d.h \
+  nobjmgr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)dvlist.h \
+  dlftypes.h piacmd.h \
   $(SOPHYAINCP)commander.h \
   $(SOPHYAINCP)pdlmgr.h \
   $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h pisiadw.h \
+  $(SOPHYAINCP)zthread.h \
+  pisiadw.h \
   $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
@@ -1801,6 +1892,8 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pi2dvec.cc
  
-$(SOPHYAOBJP)piacmd.o: piacmd.cc $(SOPHYAINCP)sopnamsp.h \
-  piacmd.h $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)piacmd.o: piacmd.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  piacmd.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)commander.h \
   $(SOPHYAINCP)machdefs.h \
@@ -1818,5 +1911,6 @@
   $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h dlftypes.h \
+  $(SOPHYAINCP)zthread.h \
+  dlftypes.h \
   $(SOPHYAINCP)pdlmgr.h \
   $(SOPHYAINCP)ctimer.h \
@@ -1824,5 +1918,6 @@
   $(SOPHYAINCP)strutilxx.h \
   $(SOPHYAINCP)srandgen.h \
-  $(SOPHYAINCP)randinterf.h pistdimgapp.h \
+  $(SOPHYAINCP)randinterf.h \
+  pistdimgapp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
@@ -1882,8 +1977,10 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h nobjmgr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h pisiadw.h \
+  $(SOPHYAINCP)pigraph3d.h \
+  nobjmgr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)dvlist.h \
+  pisiadw.h \
   $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
@@ -1891,6 +1988,6 @@
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)pitherm.h \
-  $(SOPHYAINCP)resusage.h basexecut.h \
-  graphexecut.h piafitting.h nomgadapter.h \
+  $(SOPHYAINCP)resusage.h \
+  basexecut.h graphexecut.h piafitting.h nomgadapter.h \
   $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)parradapter.h \
@@ -1913,6 +2010,6 @@
   $(SOPHYAINCP)fmath.h \
   $(SOPHYAINCP)generalfunc.h \
-  $(SOPHYAINCP)tvector.h pawexecut.h \
-  cxxexecutor.h cxxexecwin.h contmodex.h flowmodex.h
+  $(SOPHYAINCP)tvector.h \
+  pawexecut.h cxxexecutor.h cxxexecwin.h contmodex.h flowmodex.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  piacmd.cc
  
@@ -1966,6 +2063,8 @@
   $(SOPHYAINCP)cimage.h \
   $(SOPHYAINCP)histos2.h \
-  $(SOPHYAINCP)hisprof.h piafitting.h \
-  $(SOPHYAINCP)machdefs.h nomgadapter.h \
+  $(SOPHYAINCP)hisprof.h \
+  piafitting.h \
+  $(SOPHYAINCP)machdefs.h \
+  nomgadapter.h \
   $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)anydataobj.h \
@@ -1995,10 +2094,13 @@
   $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)ntupintf.h \
-  $(SOPHYAINCP)pdlmgr.h dlftypes.h piacmd.h \
+  $(SOPHYAINCP)pdlmgr.h \
+  dlftypes.h piacmd.h \
   $(SOPHYAINCP)commander.h \
   $(SOPHYAINCP)pdlmgr.h \
   $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h nobjmgr.h \
-  $(SOPHYAINCP)dvlist.h pistdimgapp.h \
+  $(SOPHYAINCP)zthread.h \
+  nobjmgr.h \
+  $(SOPHYAINCP)dvlist.h \
+  pistdimgapp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
@@ -2036,5 +2138,6 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h pisiadw.h \
+  $(SOPHYAINCP)pigraph3d.h \
+  pisiadw.h \
   $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
@@ -2042,14 +2145,17 @@
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)pitherm.h \
-  $(SOPHYAINCP)resusage.h nomhistadapter.h \
+  $(SOPHYAINCP)resusage.h \
+  nomhistadapter.h \
   $(SOPHYAINCP)basedtable.h \
   $(SOPHYAINCP)segdatablock.h \
-  $(SOPHYAINCP)thsafeop.h nomgfdadapter.h \
-  nomimagadapter.h nomtmatvecadapter.h \
+  $(SOPHYAINCP)thsafeop.h \
+  nomgfdadapter.h nomimagadapter.h nomtmatvecadapter.h \
   $(SOPHYAINCP)generaldata.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  piafitting.cc
  
-$(SOPHYAOBJP)pigfd1.o: pigfd1.cc $(SOPHYAINCP)sopnamsp.h \
-  pigfd1.h $(SOPHYAINCP)generaldata.h \
+$(SOPHYAOBJP)pigfd1.o: pigfd1.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  pigfd1.h \
+  $(SOPHYAINCP)generaldata.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)machdefs.h \
@@ -2103,6 +2209,8 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pigfd1.cc
  
-$(SOPHYAOBJP)pigfd2.o: pigfd2.cc $(SOPHYAINCP)sopnamsp.h \
-  pigfd2.h $(SOPHYAINCP)generaldata.h \
+$(SOPHYAOBJP)pigfd2.o: pigfd2.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  pigfd2.h \
+  $(SOPHYAINCP)generaldata.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)machdefs.h \
@@ -2159,33 +2267,6 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pigfd2.cc
  
-$(SOPHYAOBJP)pihisto.o: pihisto.cc pihisto.h \
-  $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)pisysdep.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)piwdgx.h \
-  $(SOPHYAINCP)piwdggen.h \
-  $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picolist.h \
-  $(SOPHYAINCP)pipixutils.h \
-  $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
-  $(SOPHYAINCP)picmapgen.h \
-  $(SOPHYAINCP)pigraphx.h \
-  $(SOPHYAINCP)pigraphgen.h \
-  $(SOPHYAINCP)pifontx.h \
-  $(SOPHYAINCP)pifontgen.h \
-  $(SOPHYAINCP)pigrcoord.h \
-  $(SOPHYAINCP)pilineatt.h \
-  $(SOPHYAINCP)pigraphuc.h \
-  $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigratt.h \
-  $(SOPHYAINCP)piaxes.h phistwrapper.h \
-  $(SOPHYAINCP)parradapter.h \
-  $(SOPHYAINCP)lut.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pihisto.cc
- 
-$(SOPHYAOBJP)pihisto2d.o: pihisto2d.cc $(SOPHYAINCP)pisysdep.h \
+$(SOPHYAOBJP)pihisto2d.o: pihisto2d.cc \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)piapplx.h \
@@ -2204,5 +2285,6 @@
   $(SOPHYAINCP)pimenugen.h \
   $(SOPHYAINCP)piconsenum.h \
-  $(SOPHYAINCP)sopnamsp.h pihisto2d.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  pihisto2d.h \
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenubarx.h \
@@ -2233,5 +2315,6 @@
   $(SOPHYAINCP)piwindowgen.h \
   $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pieldrw.h phistwrapper.h \
+  $(SOPHYAINCP)pieldrw.h \
+  phistwrapper.h \
   $(SOPHYAINCP)parradapter.h \
   $(SOPHYAINCP)lut.h \
@@ -2241,6 +2324,37 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pihisto2d.cc
  
-$(SOPHYAOBJP)piinit.o: piinit.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h piinit.h \
+$(SOPHYAOBJP)pihisto.o: pihisto.cc pihisto.h \
+  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)piwdggen.h \
+  $(SOPHYAINCP)pimsghandler.h \
+  $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
+  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmapgen.h \
+  $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pigrcoord.h \
+  $(SOPHYAINCP)pilineatt.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pievthandler.h \
+  $(SOPHYAINCP)psfile.h \
+  $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)piaxes.h \
+  phistwrapper.h \
+  $(SOPHYAINCP)parradapter.h \
+  $(SOPHYAINCP)lut.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pihisto.cc
+ 
+$(SOPHYAOBJP)piinit.o: piinit.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  piinit.h \
   $(SOPHYAINCP)sambainit.h \
   $(SOPHYAINCP)skymapinit.h \
@@ -2248,5 +2362,6 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)ntoolsinit.h \
-  $(SOPHYAINCP)tarrinit.h pistdimgapp.h \
+  $(SOPHYAINCP)tarrinit.h \
+  pistdimgapp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
@@ -2306,5 +2421,6 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h nobjmgr.h \
+  $(SOPHYAINCP)pigraph3d.h \
+  nobjmgr.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
@@ -2319,10 +2435,12 @@
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h dlftypes.h piacmd.h \
+  $(SOPHYAINCP)timestamp.h \
+  dlftypes.h piacmd.h \
   $(SOPHYAINCP)commander.h \
   $(SOPHYAINCP)pdlmgr.h \
   $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h pisiadw.h \
+  $(SOPHYAINCP)zthread.h \
+  pisiadw.h \
   $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
@@ -2330,7 +2448,9 @@
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)pitherm.h \
-  $(SOPHYAINCP)resusage.h servnobjm.h \
-  $(SOPHYAINCP)pdlmgr.h nomdvladapter.h \
-  nomgadapter.h $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)resusage.h \
+  servnobjm.h \
+  $(SOPHYAINCP)pdlmgr.h \
+  nomdvladapter.h nomgadapter.h \
+  $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)parradapter.h \
   $(SOPHYAINCP)ntupintf.h \
@@ -2352,5 +2472,6 @@
   $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)generalfunc.h nomhistadapter.h \
+  $(SOPHYAINCP)generalfunc.h \
+  nomhistadapter.h \
   $(SOPHYAINCP)histos.h \
   $(SOPHYAINCP)histos2.h \
@@ -2360,11 +2481,15 @@
   $(SOPHYAINCP)basedtable.h \
   $(SOPHYAINCP)segdatablock.h \
-  $(SOPHYAINCP)thsafeop.h nomherradapter.h \
+  $(SOPHYAINCP)thsafeop.h \
+  nomherradapter.h \
   $(SOPHYAINCP)histerr.h \
-  $(SOPHYAINCP)hist2err.h nomgfdadapter.h \
-  nomimagadapter.h $(SOPHYAINCP)cimage.h \
-  $(SOPHYAINCP)fioarr.h nomtmatvecadapter.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)generaldata.h nomtarradapter.h \
+  $(SOPHYAINCP)hist2err.h \
+  nomgfdadapter.h nomimagadapter.h \
+  $(SOPHYAINCP)cimage.h \
+  $(SOPHYAINCP)fioarr.h \
+  nomtmatvecadapter.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)generaldata.h \
+  nomtarradapter.h \
   $(SOPHYAINCP)tarray.h \
   $(SOPHYAINCP)datatable.h \
@@ -2373,5 +2498,6 @@
   $(SOPHYAINCP)swsegdb.h \
   $(SOPHYAINCP)ppfswapper.h \
-  $(SOPHYAINCP)ppftpointerio.h nomskymapadapter.h \
+  $(SOPHYAINCP)ppftpointerio.h \
+  nomskymapadapter.h \
   $(SOPHYAINCP)pixelmap.h \
   $(SOPHYAINCP)spherepos.h \
@@ -2391,10 +2517,14 @@
   $(SOPHYAINCP)specrespvector.h \
   $(SOPHYAINCP)specresp.h \
-  $(SOPHYAINCP)gaussfilt.h nomspecrespadapter.h \
-  $(SOPHYAINCP)specresp.h piaversion.h
+  $(SOPHYAINCP)gaussfilt.h \
+  nomspecrespadapter.h \
+  $(SOPHYAINCP)specresp.h \
+  piaversion.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  piinit.cc
  
-$(SOPHYAOBJP)pintup3d.o: pintup3d.cc $(SOPHYAINCP)sopnamsp.h \
-  pintup3d.h $(SOPHYAINCP)ntupintf.h \
+$(SOPHYAOBJP)pintup3d.o: pintup3d.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  pintup3d.h \
+  $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pi3ddrw.h \
@@ -2425,6 +2555,8 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pintup3d.cc
  
-$(SOPHYAOBJP)pintuple.o: pintuple.cc $(SOPHYAINCP)sopnamsp.h \
-  pintuple.h $(SOPHYAINCP)ntupintf.h \
+$(SOPHYAOBJP)pintuple.o: pintuple.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  pintuple.h \
+  $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pidrawer.h \
@@ -2452,6 +2584,8 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pintuple.cc
  
-$(SOPHYAOBJP)pipodrw.o: pipodrw.cc $(SOPHYAINCP)sopnamsp.h \
-  pipodrw.h $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)pipodrw.o: pipodrw.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  pipodrw.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)pibwdggen.h \
@@ -2513,5 +2647,6 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pipodrw.cc
  
-$(SOPHYAOBJP)pisiadw.o: pisiadw.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)pisiadw.o: pisiadw.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)perrors.h \
@@ -2520,5 +2655,6 @@
   $(SOPHYAINCP)ctimer.h \
   $(SOPHYAINCP)nbmath.h \
-  $(SOPHYAINCP)smathconst.h pistdimgapp.h \
+  $(SOPHYAINCP)smathconst.h \
+  pistdimgapp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
@@ -2578,5 +2714,6 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h nobjmgr.h \
+  $(SOPHYAINCP)pigraph3d.h \
+  nobjmgr.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
@@ -2590,10 +2727,12 @@
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h dlftypes.h piacmd.h \
+  $(SOPHYAINCP)timestamp.h \
+  dlftypes.h piacmd.h \
   $(SOPHYAINCP)commander.h \
   $(SOPHYAINCP)pdlmgr.h \
   $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h pisiadw.h \
+  $(SOPHYAINCP)zthread.h \
+  pisiadw.h \
   $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
@@ -2601,5 +2740,6 @@
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)pitherm.h \
-  $(SOPHYAINCP)resusage.h servnobjm.h \
+  $(SOPHYAINCP)resusage.h \
+  servnobjm.h \
   $(SOPHYAINCP)pdlmgr.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pisiadw.cc
@@ -2635,5 +2775,6 @@
   $(SOPHYAINCP)fioarr.h \
   $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tvector_tsnl.h pistdimgapp.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  pistdimgapp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
@@ -2693,12 +2834,15 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h nobjmgr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h dlftypes.h piacmd.h \
+  $(SOPHYAINCP)pigraph3d.h \
+  nobjmgr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)dvlist.h \
+  dlftypes.h piacmd.h \
   $(SOPHYAINCP)commander.h \
   $(SOPHYAINCP)pdlmgr.h \
   $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h pisiadw.h \
+  $(SOPHYAINCP)zthread.h \
+  pisiadw.h \
   $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
@@ -2706,5 +2850,6 @@
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)pitherm.h \
-  $(SOPHYAINCP)resusage.h servnobjm.h \
+  $(SOPHYAINCP)resusage.h \
+  servnobjm.h \
   $(SOPHYAINCP)pdlmgr.h \
   $(SOPHYAINCP)psfile.h \
@@ -2714,5 +2859,6 @@
   $(SOPHYAINCP)pidrwtools.h \
   $(SOPHYAINCP)piaxestools.h \
-  $(SOPHYAINCP)piscdrawwdg.h piinit.h \
+  $(SOPHYAINCP)piscdrawwdg.h \
+  piinit.h \
   $(SOPHYAINCP)sambainit.h \
   $(SOPHYAINCP)skymapinit.h \
@@ -2720,9 +2866,12 @@
   $(SOPHYAINCP)ntoolsinit.h \
   $(SOPHYAINCP)tarrinit.h \
-  $(SOPHYAINCP)piversion.h piaversion.h
+  $(SOPHYAINCP)piversion.h \
+  piaversion.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pistdimgapp.cc
  
-$(SOPHYAOBJP)pitvmaad.o: pitvmaad.cc $(SOPHYAINCP)sopnamsp.h \
-  pitvmaad.h $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)pitvmaad.o: pitvmaad.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  pitvmaad.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)parradapter.h \
   $(SOPHYAINCP)machdefs.h \
@@ -2752,6 +2901,8 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pitvmaad.cc
  
-$(SOPHYAOBJP)servnobjm.o: servnobjm.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)strutil.h nobjmgr.h \
+$(SOPHYAOBJP)servnobjm.o: servnobjm.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)strutil.h \
+  nobjmgr.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)anydataobj.h \
@@ -2768,7 +2919,9 @@
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h dlftypes.h servnobjm.h \
+  $(SOPHYAINCP)timestamp.h \
+  dlftypes.h servnobjm.h \
   $(SOPHYAINCP)pdlmgr.h \
-  $(SOPHYAINCP)zthread.h nomgadapter.h \
+  $(SOPHYAINCP)zthread.h \
+  nomgadapter.h \
   $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)pibwdggen.h \
@@ -2814,5 +2967,6 @@
   $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)generalfunc.h pistdimgapp.h \
+  $(SOPHYAINCP)generalfunc.h \
+  pistdimgapp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
@@ -2850,8 +3004,10 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h piacmd.h \
+  $(SOPHYAINCP)pigraph3d.h \
+  piacmd.h \
   $(SOPHYAINCP)commander.h \
   $(SOPHYAINCP)pdlmgr.h \
-  $(SOPHYAINCP)ctimer.h pisiadw.h \
+  $(SOPHYAINCP)ctimer.h \
+  pisiadw.h \
   $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
@@ -2865,5 +3021,6 @@
   $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)matharr.h pitvmaad.h \
+  $(SOPHYAINCP)matharr.h \
+  pitvmaad.h \
   $(SOPHYAINCP)ntuple.h \
   $(SOPHYAINCP)cimage.h \
@@ -2878,6 +3035,8 @@
   $(SOPHYAINCP)thsafeop.h \
   $(SOPHYAINCP)piyfxdrw.h \
-  $(SOPHYAINCP)pisurfdr.h pintuple.h pintup3d.h \
-  $(SOPHYAINCP)pi3ddrw.h pipodrw.h \
+  $(SOPHYAINCP)pisurfdr.h \
+  pintuple.h pintup3d.h \
+  $(SOPHYAINCP)pi3ddrw.h \
+  pipodrw.h \
   $(SOPHYAINCP)hist2err.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  servnobjm.cc
